package com.yuchen.saas.park.service.service.door.communication;

import com.yuchen.saas.park.api.commons.domain.DoorAccessControlConfigTarget;
import com.yuchen.saas.park.service.service.door.communication.domain.CallResult;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.Positive;
import java.util.Set;

@SuppressWarnings("unused")
public interface DoorAccessControlCommandService {
    CallResult addUser(DoorAccessControlConfigTarget target, @NotEmpty Set<@Positive Long> configNos);

    CallResult deleteUser(DoorAccessControlConfigTarget target);

    CallResult addCard(DoorAccessControlConfigTarget target, @NotBlank String no);

    CallResult deleteCard(DoorAccessControlConfigTarget target, @NotBlank String no);

    CallResult addUserFacial(DoorAccessControlConfigTarget target, @NotBlank String facial);
}
